package com.ssyf.common.core.enums;

/**
 * 比较
 * @author huwei
 * @date 2023/2/9 9:56
 */
public enum MathEnum {
    /**
     * 等于
     */
    eq(1)
    /**
     * 不包含
     */
    ,nin(2)
    /**
     * 小于
     */
    ,lt(3)
    /**
     * 小于等于
     */
    ,lte(4)
    /**
     * 大于
     */
    ,gt(5)
    /**
     * 大于等于
     */
    ,gte(6)
    /**
     * 不等于
     */
    ,ne(7)
    /**
     * 包含
     */
    ,in(8)

    /**
     * 左右模糊匹配
     */
    ,like(9)
    /**
     * 右模糊
     */
    ,likeRight(10)
    /**
     * 左模糊
     */
    ,likeLeft(11)
    /**
     * 为空
     */
    ,isNull(12)
    /**
     * 不为空
     */
    ,isNotNull(13);

    private int value;

    MathEnum(int value){
        this.value = value;
    }

    public int getValue(){
        return this.value;
    }

}
